Download it now!
Bug 81918 - FORMATTING: dxf font export not working at all
Summary: FORMATTING: dxf font export not working at all
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-30 15:33 UTC by Fabio Melo
Modified: 2015-07-07 11:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Melo 2014-07-30 15:33:51 UTC
Problem description: 

Steps to reproduce:
1. Use of .xlsx files due to coleagues that uses MS Office
2. Conditional Formatting
3. Condition: equal to
4. New style, Font Effects, Choose a collor formatting to the letter
5. Save
6. When re-open file the Conditional Formatting had changed...

Current behavior:
When re-open file the Conditional Formatting had changed...

Expected behavior:
Guard the same conditional Formatting

Tks
              
Operating System: Ubuntu
Version: 4.2.6.2 rc
Comment 1 A (Andy) 2014-07-30 20:04:45 UTC
reproducible with LO 4.3.0.4 (Win 8.1)

@Markus: Could this maybe be something for you?
Comment 2 Markus Mohrhard 2014-07-30 21:39:21 UTC
Might just be that the dxf export does not support that feature yet. I only added some simple formatting attributes to the dxf export when I wrote it.
Comment 3 Markus Mohrhard 2015-04-09 04:18:14 UTC
So it is more complicated than that. My approach to dxf font export does not work at all.

In ODF it is quite simple as we use a style and use the existing style. For XLSX we need to export dxf entries that only contain differential formatting. While we save them internally as dxf we have currently no way to extract that information.

This will require some work to implement a correct dxf font export.
Comment 4 Commit Notification 2015-04-14 17:20:41 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=853bfc68b93427f105d2c8c0ed959b3971861755

implement a sane and working dxf font export, tdf#81918

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.